Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234808 - Close button on About box is not working and Error on Terminal
Summary: Close button on About box is not working and Error on Terminal
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: smolt
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike McGrath
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-02 09:12 UTC by A S Alam
Modified: 2013-07-03 00:44 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-07 01:24:20 UTC


Attachments (Terms of Use)

Description A S Alam 2007-04-02 09:12:22 UTC
Description of problem:
on Terminal it shows following error, when Click on "HELP->About" menu Entery
-----------
[aalam@alamPunjabi smolt]$ LANG=C smoltGui
Traceback (most recent call last):
  File "/usr/bin/smoltGui", line 259, in about_cb
    logo = gtk.gdk.pixbuf_new_from_file('smolt-about.png')
gobject.GError: Failed to open file 'smolt-about.png': No such file or directory

-----------

Version-Release number of selected component (if applicable):
smolt-0.9.4-1.fc7

How reproducible:


Steps to Reproduce:
1. run smolt
2. goto Help->About Menu box
3.
  
Actual results:
1. shows error on Terminal
2. when Click on Close button of About  Window, it failed to close


Expected results:
1. Should not show such entries  on Terminal
2. box should close



Additional info:

Comment 1 Tim Reilly 2007-04-03 20:44:30 UTC
This is smoltGui, right? I can see similar problems. In fact, I get different
errors each time I go to Help->About. The first time I got:

Traceback (most recent call last):
  File "/usr/bin/smoltGui", line 259, in about_cb
    logo = gtk.gdk.pixbuf_new_from_file('smolt-about.png')
gobject.GError: Failed to open file 'smolt-about.png': No such file or directory

And no about box.

The second time I got the about box, but couldn't close the box as was
originally reported.

The third time I got this error and a very very small window (not even 30 pixels
tall) and this error:

/usr/bin/smoltGui:264: GtkWarning: gtk_container_foreach: assertion
`GTK_IS_CONTAINER (container)' failed
  self.aboutDialog.show()


Comment 2 A S Alam 2007-04-04 06:07:21 UTC
yes, it is smoltGUI
and can confirm that all those problem also, forgot to mention

thanks

Comment 3 Bug Zapper 2008-04-03 23:54:00 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 4 Bug Zapper 2008-05-07 01:24:18 UTC
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp


Note You need to log in before you can comment on or make changes to this bug.